---
title: SpeechGrammar.SpeechGrammar()
slug: Web/API/SpeechGrammar/SpeechGrammar
tags:
  - API
  - Constructor
  - Experimental
  - Reference
  - SpeechGrammar
  - Web
  - Web Speech API
  - speech
---
<p>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</p>

<p>The <code><strong>SpeechGrammar</strong></code> constructor of the {{domxref("SpeechGrammar")}} interface creates a new <code>SpeechGrammar</code> object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var mySpeechGrammar = new SpeechGrammar();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var grammar = '#JSGF V1.0; grammar colors; public &lt;color&gt; = aqua | azure | beige | bisque | black | blue | brown | chocolate | coral | crimson | cyan | fuchsia | ghostwhite | gold | goldenrod | gray | green | indigo | ivory | khaki | lavender | lime | linen | magenta | maroon | moccasin | navy | olive | orange | orchid | peru | pink | plum | purple | red | salmon | sienna | silver | snow | tan | teal | thistle | tomato | turquoise | violet | white | yellow ;'
var recognition = new SpeechRecognition();
var speechRecognitionList = new SpeechGrammarList();
speechRecognitionList.addFromString(grammar, 1);
recognition.grammars = speechRecognitionList;

var newGrammar = new SpeechGrammar();
newGrammar.src = '#JSGF V1.0; grammar names; public &lt;name&gt; = chris | kirsty | mike;'
speechRecognitionList[1] = newGrammar; // should add the new SpeechGrammar object to the list
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Speech API', 'dom-speechgrammar-speechgrammar', 'SpeechGrammar()')}}</td>
			<td>{{Spec2('Web Speech API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechGrammar.SpeechGrammar")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
